Bug 1221781 (zipios) - Review Request: zipios - C++ library for reading and writing Zip files
Summary: Review Request: zipios - C++ library for reading and writing Zip files
Keywords:
Status: CLOSED ERRATA
Alias: zipios
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-14 19:55 UTC by Richard Shaw
Modified: 2016-04-20 19:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-15 21:33:05 UTC
anto.trande: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1218713 None None None Never
Red Hat Bugzilla 1264485 None None None Never

Internal Links: 1218713 1264485

Description Richard Shaw 2015-05-14 19:55:44 UTC
Spec URL: http://hobbes1069.fedorapeople.org//zipios.spec
SRPM URL: http://hobbes1069.fedorapeople.org//zipios-2.1.0-1.fc21.src.rpm

Description:
Zipios++ is a java.util.zip-like C++ library for reading and writing
Zip files. Access to individual entries is provided through standard
C++ iostreams. A simple read-only virtual file system that mounts
regular directories and zip files is also provided.

Comment 1 Richard Shaw 2015-05-14 19:58:08 UTC
NOTE: This version is nearly a complete rewrite from the previously dead upstream, therefore the existing zipios++ package needs to remain in Fedora until upstreams move to this version. 

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9715905

Comment 2 Raphael Groner 2015-05-25 09:18:04 UTC
(In reply to Richard Shaw from comment #1)
> NOTE: This version is nearly a complete rewrite from the previously dead
> upstream, therefore the existing zipios++ package needs to remain in Fedora
> until upstreams move to this version. 

Please use a better package name that would not lead to any misunderstanding about compatibility. Both packages will have the same upstream. Upstream name is clearly zipios++ and not just zipios (you have to mind the ++). Common way for multiple versions of the same package is to add the major version into the name. If you fear to get version conflict, you can add a virtual Provides: zipios++ .
Are both versions API compatible?

Better suggestion: zipios++2 (2 to clearly identicate that is version 2)

https://fedoraproject.org/wiki/Packaging:Conflicts#Conflicting_Package_Names

Comment 5 Raphael Groner 2015-06-28 15:21:48 UTC
Are you interested in a review swap?
Maybe bug #1224800 is for you.

Comment 6 Raphael Groner 2015-07-21 16:09:04 UTC
I am still thinking that the name is misleading, see my comment #2.

Comment 7 Raphael Groner 2015-07-21 17:39:29 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/builder/fedora-
  review/1221781-zipios/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- License must be 'LGPLv2+ and GPLv2+' as there partly source with not LPGL.
Unknown or generated
--------------------
zipios-2.1.0/contrib/catch.hpp
zipios-2.1.0/dev/index.php
zipios-2.1.0/src/directorycollection.cpp

- W: fsf-wrong-address for a lot of source files, maybe all.
- some directories are not owned, see down for Notes
- Please verify with FPC that you use the right package name.
  I guess zipios++2 is better than zipios++, see in other 
  comments for reasons.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v2 or later) (with incorrect FSF
     address)", "*No copyright* LGPL (v2 or later) (with incorrect FSF
     address)", "*No copyright* GPL (v2 or later)", "LGPL (v2 or later)
     (with incorrect FSF address)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in /home/builder
     /fedora-review/1221781-zipios/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/doc/zipios
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/zipios,
     /usr/share/cmake, /usr/share/cmake/Modules
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[?]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[?]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in zipios-
     doc
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: zipios-2.1.0-1.fc24.x86_64.rpm
          zipios-devel-2.1.0-1.fc24.x86_64.rpm
          zipios-doc-2.1.0-1.fc24.noarch.rpm
          zipios-2.1.0-1.fc24.src.rpm
zipios.x86_64: I: enchant-dictionary-not-found pl.UTF-8
=> Ignore. This needs hunspell-* or aspell-*, see https://fedorahosted.org/autoqa/ticket/239

zipios.x86_64: W: spelling-error %description -l en_US util -> til, until, u til
zipios.x86_64: W: spelling-error %description -l en_US iostreams -> mainstreams, streams
zipios.x86_64: W: invalid-url URL: http://zipios.sourceforge.net/ HTTP Error 503: Service Unavailable
=> Maybe due to Sourceforge is currently in partly offline mode.

zipios.x86_64: W: no-manual-page-for-binary zipios
zipios.x86_64: W: no-manual-page-for-binary appendzip
zipios.x86_64: W: no-manual-page-for-binary dostime
zipios-devel.x86_64: W: invalid-url URL: http://zipios.sourceforge.net/ HTTP Error 503: Service Unavailable
zipios-devel.x86_64: W: only-non-binary-in-usr-lib
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/filepath.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipfile.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipios-config.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipiosexceptions.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/virtualseeker.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/filecollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/collectioncollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/directoryentry.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/directorycollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/fileentry.hpp
zipios-doc.noarch: E: devel-dependency zipios-devel
zipios-doc.noarch: W: invalid-url URL: http://zipios.sourceforge.net/ HTTP Error 503: Service Unavailable
zipios.src: W: spelling-error %description -l en_US util -> til, until, u til
zipios.src: W: spelling-error %description -l en_US iostreams -> mainstreams, streams
zipios.src: W: invalid-url URL: http://zipios.sourceforge.net/ HTTP Error 503: Service Unavailable
zipios.src: W: file-size-mismatch catch.hpp = 336066, https://raw.githubusercontent.com/philsquared/Catch/master/single_include/catch.hpp = 336879
4 packages and 0 specfiles checked; 11 errors, 13 warnings.




Rpmlint (debuginfo)
-------------------
Checking: zipios-debuginfo-2.1.0-1.fc24.x86_64.rpm
zipios-debuginfo.x86_64: W: invalid-url URL: http://zipios.sourceforge.net/ HTTP Error 503: Service Unavailable
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipios_common.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filecollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/directorycollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/fileentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/deflateoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/appendzip.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/dostime.c
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/directoryentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipendofcentraldirectory.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipfile.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/directorycollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/filecollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filterinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/zipiosexceptions.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/ziplocalentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipios_common.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipcentraldirectoryentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/backbuffer.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/directoryentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/zipfile.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filteroutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/virtualseeker.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/build/zipios/zipios-config.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filterinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filepath.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipendofcentraldirectory.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/filepath.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filteroutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/dostime.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/backbuffer.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/fileentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/collectioncollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/zipios.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/deflateoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/collectioncollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/ziplocalentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/inflateinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/inflateinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipcentraldirectoryentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/virtualseeker.cpp
1 packages and 0 specfiles checked; 52 errors, 1 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: Datei oder Verzeichnis nicht gefunden
zipios.x86_64: W: invalid-url URL: http://zipios.sourceforge.net/ HTTP Error 503: Service Unavailable
zipios.x86_64: W: private-shared-object-provides /usr/lib64/libzipios.so.2.1 libzipios.so.2()(64bit)
zipios.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libzipios.so.2.1 /lib64/libm.so.6
zipios.x86_64: W: no-manual-page-for-binary dostime
zipios.x86_64: W: no-manual-page-for-binary appendzip
zipios.x86_64: W: no-manual-page-for-binary zipios
zipios-devel.x86_64: W: invalid-url URL: http://zipios.sourceforge.net/ HTTP Error 503: Service Unavailable
zipios-devel.x86_64: W: only-non-binary-in-usr-lib
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipfile.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipios-config.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/directoryentry.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/directorycollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipiosexceptions.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/virtualseeker.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/fileentry.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/filepath.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/collectioncollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/filecollection.hpp
zipios-debuginfo.x86_64: W: invalid-url URL: http://zipios.sourceforge.net/ HTTP Error 503: Service Unavailable
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipendofcentraldirectory.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filecollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/deflateoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/fileentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/virtualseeker.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/appendzip.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/deflateoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/ziplocalentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/directorycollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/build/zipios/zipios-config.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/fileentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/filecollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/ziplocalentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipios_common.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/backbuffer.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/virtualseeker.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipfile.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipendofcentraldirectory.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/directoryentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filterinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipios_common.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/directorycollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipcentraldirectoryentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/collectioncollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filteroutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/collectioncollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filterinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/backbuffer.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/dostime.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/zipiosexceptions.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/inflateinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filteroutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/inflateinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/zipfile.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/dostime.c
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipcentraldirectoryentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/directoryentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filepath.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/zipios.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/filepath.hpp
zipios-doc.noarch: E: devel-dependency zipios-devel
zipios-doc.noarch: W: invalid-url URL: http://zipios.sourceforge.net/ HTTP Error 503: Service Unavailable
4 packages and 0 specfiles checked; 63 errors, 10 warnings.



Requires
--------
zipios (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    libzipios.so.2()(64bit)
    rtld(GNU_HASH)

zipios-devel (rpmlib, GLIBC filtered):
    libstdc++-devel
    libzipios.so.2()(64bit)
    zipios(x86-64)
    zlib-devel

zipios-doc (rpmlib, GLIBC filtered):
    zipios-devel



Provides
--------
zipios:
    libzipios.so.2()(64bit)
    zipios
    zipios(x86-64)

zipios-devel:
    zipios-devel
    zipios-devel(x86-64)

zipios-doc:
    zipios-doc



Source checksums
----------------
http://downloads.sourceforge.net/zipios/zipios-2.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : b14250e4fe4e4f5d4206ea2859d48aec9e6bb1612fc21023fb4d79fc44e5e5ae
  CHECKSUM(SHA256) upstream package : b14250e4fe4e4f5d4206ea2859d48aec9e6bb1612fc21023fb4d79fc44e5e5ae
https://raw.githubusercontent.com/philsquared/Catch/master/single_include/catch.hpp :
  CHECKSUM(SHA256) this package     : 71055de900582def92b08de7cbbb253648e42567e7790de5dbeb8eb822a192f1
  CHECKSUM(SHA256) upstream package : 0a8e3f6f2aa325cddb242bc797b8033be5e5ed75d2e1f6ed75fbc4efd87c6faa
diff -r also reports differences


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1221781
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Raphael Groner 2015-07-21 17:43:09 UTC
> - W: fsf-wrong-address for a lot of source files, maybe all.

Sorry, this should mean reference to those E: incorrect-fsf-address messages.

Comment 9 Richard Shaw 2015-07-21 18:52:44 UTC
(In reply to Raphael Groner from comment #6)
> I am still thinking that the name is misleading, see my comment #2.

The package naming guidelines do not have a strict rule here and even says the package name could come from the project name or tarball name.

Since the packages are not API/ABI compatible and the changes are extensive, I think having the name be different is a good thing.

Additionally, appending a number to the package name is not based on the package version but on the major soversion of the library, but in this case it woulds still be "2", however the soversion may eventually be "3" and that would leave this package in a strange state.

(In reply to Raphael Groner from comment #7)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - Dist tag is present.

It was there but I forgot the "?" somehow. Fixed.


> - Sources used to build the package match the upstream source, as provided
>   in the spec URL.
>   Note: Upstream MD5sum check error, diff is in /home/builder/fedora-
>   review/1221781-zipios/diff.txt
>   See: http://fedoraproject.org/wiki/Packaging/SourceURL

I think this is the sourceforge issue. I downloaded the tarball directly from SF without modification.


> - License must be 'LGPLv2+ and GPLv2+' as there partly source with not LPGL.

Per the GPL compatibility matrix[1] the combined license is GPLv2+. You don't generally list both unless it was an "OR" situation. Fixed.


> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/doc/zipios,
>      /usr/share/cmake, /usr/share/cmake/Modules

I think i fixed the doc dir, I incorrectly excluded the whole thing instead of just the html dir which is reserved for the doc subpackage.

The other two should definitely be owned by the cmake package, not sure what's going on here.


> [!]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in zipios-
>     doc

f-r is confused here. You can't have an arch specific requires from a noarch package. I've made that mistake before, bad things happen.

Ok, I'm verifying a new build fixes these problem and I'll pose new links.

Comment 10 Raphael Groner 2015-08-28 15:10:08 UTC
A polite reminder that this review is still open. Please provide new links.

You're right about the tarball name and the corresponding package naming guideline. Though, it's somehow confusing with the upstream project name as also Zipios++ (with the ++) like the existing package zipios++ with clearly another upstream. You should at least clearly include that in %description text that this project is a fork of original zipios++ or the like, as you did in comment #1.
The name zipios is not used yet in PkgDB, so we could temporarily keep going with it, but should expect some possible future conflicts about functional understanding of the packages differences that could lead into package renaming with now avoidable trouble, this risk decision is up to you as the maintainer.

Comment 11 Richard Shaw 2015-08-28 15:13:20 UTC
Sorry, been distracted by other packaging work and was out of town this week for work. I'll try to post something by this weekend.

Comment 12 Richard Shaw 2015-09-01 16:10:51 UTC
Ok, updated packages. I haven't had time to run fedora-review against it but the changes are pretty minor:

SPEC: https://hobbes1069.fedorapeople.org/zipios.spec
SRPM: https://hobbes1069.fedorapeople.org/zipios-2.1.0-2.fc21.src.rpm

* Fri Aug 28 2015 Richard Shaw <hobbes1069@gmail.com> - 2.1.0-2
- Update license tag to GPLv2+.
- Fix dist tag.
- Add note to description how this package differs from zipios++.

Comment 13 Raphael Groner 2015-09-09 11:45:29 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/builder/fedora-
  review/1221781-zipios/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
=> Catch header file from Source link is another one than in SRPM. Please ensure it's the same.
- Boost license for Catch. Please mention this in License tag and include the license text in the package.
- 52 source files with E: incorrect-fsf-address, did you notify upstream?
https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v2 or later) (with incorrect FSF
     address)", "*No copyright* LGPL (v2 or later) (with incorrect FSF
     address)", "*No copyright* GPL (v2 or later)", "LGPL (v2 or later)
     (with incorrect FSF address)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in /home/builder
     /fedora-review/1221781-zipios/licensecheck.txt
=> Boost license for external Catch. See issues above.
[!]: License file installed when any subpackage combination is installed.
=> Add license texts also to doc subpackage, please remove the dependency to devel.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/zipios,
     /usr/share/cmake, /usr/share/cmake/Modules
=> use of %doc with relative paths and installation of files directly into %_pkgdocdir in the same source package is forbidden. 
https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation
=> Add to devel package Requires: cmake
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
=> Add to devel subpackage Requires: cmake .
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in zipios-
     doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
=> http://koji.fedoraproject.org/koji/taskinfo?taskID=10966308
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
=> Please fix.
[!]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
=> Please fix.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: zipios-2.1.0-2.fc24.x86_64.rpm
          zipios-devel-2.1.0-2.fc24.x86_64.rpm
          zipios-doc-2.1.0-2.fc24.noarch.rpm
          zipios-2.1.0-2.fc24.src.rpm
zipios.x86_64: W: spelling-error %description -l en_US util -> til, until, u til
zipios.x86_64: W: spelling-error %description -l en_US iostreams -> mainstreams, streams
=> Ignore.

zipios.x86_64: W: no-manual-page-for-binary zipios
zipios.x86_64: W: no-manual-page-for-binary appendzip
zipios.x86_64: W: no-manual-page-for-binary dostime
=> Maybe try to use help2man or look for templates in another distribution.
https://fedoraproject.org/wiki/Packaging:Guidelines#Manpages

zipios-devel.x86_64: W: only-non-binary-in-usr-lib
=> Ignore. False positive because of the unversioned soname symlink.

zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/filepath.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipfile.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipios-config.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipiosexceptions.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/virtualseeker.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/filecollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/collectioncollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/directoryentry.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/directorycollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/fileentry.hpp
=> See above.

zipios-doc.noarch: E: devel-dependency zipios-devel
=> Please fix.

zipios.src: W: spelling-error %description -l en_US util -> til, until, u til
zipios.src: W: spelling-error %description -l en_US iostreams -> mainstreams, streams
=> Ignore.

zipios.src: W: file-size-mismatch catch.hpp = 336066, https://raw.githubusercontent.com/philsquared/Catch/master/single_include/catch.hpp = 336879
=> See above.

4 packages and 0 specfiles checked; 11 errors, 9 warnings.




Rpmlint (debuginfo)
-------------------
Checking: zipios-debuginfo-2.1.0-2.fc24.x86_64.rpm
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipios_common.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filecollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/directorycollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/fileentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/deflateoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/appendzip.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/dostime.c
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipendofcentraldirectory.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipfile.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/directorycollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/filecollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/ziplocalentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/zipiosexceptions.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipios_common.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipcentraldirectoryentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/backbuffer.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/directoryentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/zipfile.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filteroutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/virtualseeker.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/build/zipios/zipios-config.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filterinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filepath.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipendofcentraldirectory.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/filepath.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filteroutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filterinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/dostime.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/backbuffer.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/fileentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/collectioncollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/zipios.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/deflateoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/collectioncollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/ziplocalentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/directoryentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/inflateinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/inflateinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipcentraldirectoryentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/virtualseeker.cpp
1 packages and 0 specfiles checked; 52 errors, 0 warnings.
=> See above.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: Datei oder Verzeichnis nicht gefunden
zipios.x86_64: W: private-shared-object-provides /usr/lib64/libzipios.so.2.1 libzipios.so.2()(64bit)
=> https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering

zipios.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libzipios.so.2.1 /lib64/libm.so.6
=> https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency

zipios.x86_64: W: no-manual-page-for-binary zipios
zipios.x86_64: W: no-manual-page-for-binary appendzip
zipios.x86_64: W: no-manual-page-for-binary dostime
zipios-devel.x86_64: W: only-non-binary-in-usr-lib
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/directorycollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/virtualseeker.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/fileentry.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/directoryentry.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/filepath.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/collectioncollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipiosexceptions.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipios-config.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipfile.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/filecollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipios_common.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filteroutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filepath.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipcentraldirectoryentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/backbuffer.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/ziplocalentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/fileentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/directorycollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipfile.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/deflateoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/appendzip.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filecollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/inflateinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/collectioncollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/directoryentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/dostime.c
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/zipfile.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipios_common.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/inflateinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/collectioncollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/deflateoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/virtualseeker.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/virtualseeker.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipendofcentraldirectory.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filterinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipcentraldirectoryentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filteroutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/backbuffer.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filterinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/fileentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/zipiosexceptions.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/filecollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/dostime.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/build/zipios/zipios-config.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/directorycollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/filepath.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/directoryentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipendofcentraldirectory.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/ziplocalentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/zipios.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstreambuf.hpp
zipios-doc.noarch: E: devel-dependency zipios-devel
4 packages and 0 specfiles checked; 63 errors, 6 warnings.



Requires
--------
zipios (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    libzipios.so.2()(64bit)
    rtld(GNU_HASH)

zipios-devel (rpmlib, GLIBC filtered):
    libstdc++-devel
    libzipios.so.2()(64bit)
    zipios(x86-64)
    zlib-devel

zipios-doc (rpmlib, GLIBC filtered):
    zipios-devel



Provides
--------
zipios:
    libzipios.so.2()(64bit)
    zipios
    zipios(x86-64)

zipios-devel:
    zipios-devel
    zipios-devel(x86-64)

zipios-doc:
    zipios-doc



Source checksums
----------------
http://downloads.sourceforge.net/zipios/zipios-2.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : b14250e4fe4e4f5d4206ea2859d48aec9e6bb1612fc21023fb4d79fc44e5e5ae
  CHECKSUM(SHA256) upstream package : b14250e4fe4e4f5d4206ea2859d48aec9e6bb1612fc21023fb4d79fc44e5e5ae
https://raw.githubusercontent.com/philsquared/Catch/master/single_include/catch.hpp :
  CHECKSUM(SHA256) this package     : 71055de900582def92b08de7cbbb253648e42567e7790de5dbeb8eb822a192f1
  CHECKSUM(SHA256) upstream package : 0a8e3f6f2aa325cddb242bc797b8033be5e5ed75d2e1f6ed75fbc4efd87c6faa
diff -r also reports differences


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1221781
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 14 Richard Shaw 2015-09-09 13:11:58 UTC
(In reply to Raphael Groner from comment #13)
> - Sources used to build the package match the upstream source, as provided
>   in the spec URL.
>   Note: Upstream MD5sum check error, diff is in /home/builder/fedora-
>   review/1221781-zipios/diff.txt
>   See: http://fedoraproject.org/wiki/Packaging/SourceURL

I still don't know what's going on here, here's the MD5 of the source I have:
$ md5sum zipios-2.1.0.tar.gz
5792930807096e4d23209a827338b3ab  zipios-2.1.0.tar.gz

I then downloaded it again to a different file name:
$ md5sum zipios-2.1.0_sf.tar.gz
5792930807096e4d23209a827338b3ab  zipios-2.1.0_sf.tar.gz

Looks the same to me.


> => Catch header file from Source link is another one than in SRPM. Please
> ensure it's the same.

Since I'm downloading from "master" it may change from time to time. I re-downloaded now but I don't think it's an issue in either case.


> - Boost license for Catch. Please mention this in License tag and include
> the license text in the package.

Since it is only used for unit testing and does not get installed it's not part of the resultant package. The headers are only compiled into the zipios_tests binary.


> - 52 source files with E: incorrect-fsf-address, did you notify upstream?
> https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

I will.

Comment 15 Richard Shaw 2015-09-09 13:24:53 UTC
Upstream bug filed for incorrect FSF address:
https://sourceforge.net/p/zipios/bugs/8/

Comment 16 Raphael Groner 2015-09-10 19:33:33 UTC
Still open issues that need to be fixed for package approval:

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/zipios,
     /usr/share/cmake, /usr/share/cmake/Modules
=> use of %doc with relative paths and installation of files directly into %_pkgdocdir in the same source package is forbidden. 
https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation
=> Add to devel package Requires: cmake

[!]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
=> Please fix.
[!]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
=> Please fix.

You must fix at least the errors marked with "E".

zipios-doc.noarch: E: devel-dependency zipios-devel
=> Please fix.

Comment 17 Richard Shaw 2015-09-14 13:42:41 UTC
(In reply to Raphael Groner from comment #16)
> Still open issues that need to be fixed for package approval:
> 
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/doc/zipios,
>      /usr/share/cmake, /usr/share/cmake/Modules

Fixed.


> => use of %doc with relative paths and installation of files directly into
> %_pkgdocdir in the same source package is forbidden. 
> https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation

This needs to be better explained in the guidelines. Many packages install documentation as part of "make install" but %doc is still used to pull in the usual suspects, COPYING, README, ChangeLog, etc. 

I may post a question to the development mailing list to get clarification.


> => Add to devel package Requires: cmake

Done.


> [!]: Rpmlint is run on debuginfo package(s).
>      Note: There are rpmlint messages (see attachment).
> => Please fix.
> [!]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> => Please fix.
> 
> You must fix at least the errors marked with "E".
> 
> zipios-doc.noarch: E: devel-dependency zipios-devel
> => Please fix.

I think this one can safely be ignored. The -doc package only contains documentation relevant to development, so it is actually a devel package, but rpmlint doesn't have a way of knowing this.

Comment 18 Raphael Groner 2015-09-14 15:00:57 UTC
(In reply to Richard Shaw from comment #17)
…
> > => use of %doc with relative paths and installation of files directly into
> > %_pkgdocdir in the same source package is forbidden. 
> > https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation
> 
> This needs to be better explained in the guidelines. Many packages install
> documentation as part of "make install" but %doc is still used to pull in
> the usual suspects, COPYING, README, ChangeLog, etc. 
> 
> I may post a question to the development mailing list to get clarification.

You can not use %doc here, either ask upstream to enhance the Makefile or use install -p commands in spec file.

…
> > zipios-doc.noarch: E: devel-dependency zipios-devel
> > => Please fix.
> 
> I think this one can safely be ignored. The -doc package only contains
> documentation relevant to development, so it is actually a devel package,
> but rpmlint doesn't have a way of knowing this.

Please merge the doc package into devel. I do not see any reason why it's to be separate when there's the devel intention only.

Comment 19 Raphael Groner 2015-09-14 15:21:27 UTC
For more details about documentation, see https://fedorahosted.org/fpc/ticket/338

Also, you could make devel depend on doc subpackage as an alternative to include documentation directly into devel, but not vice versa.

Comment 20 Richard Shaw 2015-09-15 20:39:06 UTC
(In reply to Raphael Groner from comment #18)
> (In reply to Richard Shaw from comment #17)
> …
> > > => use of %doc with relative paths and installation of files directly into
> > > %_pkgdocdir in the same source package is forbidden. 
> > > https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation
> > 
> > This needs to be better explained in the guidelines. Many packages install
> > documentation as part of "make install" but %doc is still used to pull in
> > the usual suspects, COPYING, README, ChangeLog, etc. 
> > 
> > I may post a question to the development mailing list to get clarification.
> 
> You can not use %doc here, either ask upstream to enhance the Makefile or
> use install -p commands in spec file.

Fixed.


> > > zipios-doc.noarch: E: devel-dependency zipios-devel
> > > => Please fix.
> > 
> > I think this one can safely be ignored. The -doc package only contains
> > documentation relevant to development, so it is actually a devel package,
> > but rpmlint doesn't have a way of knowing this.
> 
> Please merge the doc package into devel. I do not see any reason why it's to
> be separate when there's the devel intention only.

The point of separating them is that you shouldn't have to download the extra 3.3MB of documentation when all you want is a build requirement.

I have tried calling the package %{name}-devel-doc in the past but other reviewers didn't like that idea.

Comment 21 Raphael Groner 2015-09-16 04:57:26 UTC
(In reply to Richard Shaw from comment #20)
…
> > > > zipios-doc.noarch: E: devel-dependency zipios-devel
> > > > => Please fix.
> > > 
> > > I think this one can safely be ignored. The -doc package only contains
> > > documentation relevant to development, so it is actually a devel package,
> > > but rpmlint doesn't have a way of knowing this.
> > 
> > Please merge the doc package into devel. I do not see any reason why it's to
> > be separate when there's the devel intention only.
> 
> The point of separating them is that you shouldn't have to download the
> extra 3.3MB of documentation when all you want is a build requirement.

With that said, it's just documentation like any other. Please remove that dependency to devel.

> I have tried calling the package %{name}-devel-doc in the past but other
> reviewers didn't like that idea.

No. %{name}-doc is okay.

Comment 22 Richard Shaw 2015-09-16 15:15:26 UTC
SPEC: https://hobbes1069.fedorapeople.org/zipios.spec
SRPM: https://hobbes1069.fedorapeople.org/zipios-2.1.0-3.fc21.src.rpm

* Wed Sep 16 2015 Richard Shaw <hobbes1069@gmail.com> - 2.1.0-3
- Add cmake as requirement to devel subpackage.
- Fix references to documentation for directory ownership.
- Fix documentation install to be compliant with the packaging guidelines.
- Make doc subpackage only require the main package.

Comment 23 Raphael Groner 2015-09-16 18:12:17 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: Cannot find COPYING in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
=> Okay. Obviously, f-r gets confused cause of the build conditional.
- Package must own its documentation folder. Please change %{_pkgdocdir}/*
  to %{_pkgdocdir}/ (just remove the star at the end of line) in %files.
- You could use help2man -N to generate nice manpages for all the binaries,
  but that's not needed to get the package approved. For instance:
  mkdir -p %{buildroot}%{_mandir}/man1
  help2man -N %{buildroot}%{_bindir}/%{name} >%{buildroot}%{_mandir}/man1/%{name}.1
  https://fedoraproject.org/wiki/Packaging:Guidelines#Manpages

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v2 or later) (with incorrect FSF
     address)", "*No copyright* LGPL (v2 or later) (with incorrect FSF
     address)", "*No copyright* GPL (v2 or later)", "LGPL (v2 or later)
     (with incorrect FSF address)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in /home/builder
     /fedora-review/1221781-zipios/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/doc/zipios
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/zipios
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
=> doc subpackage exists, see below for discussion.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in zipios-
     doc
=> Ignore. doc subpackage gets built as noarch.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: zipios-2.1.0-3.fc24.x86_64.rpm
          zipios-devel-2.1.0-3.fc24.x86_64.rpm
          zipios-doc-2.1.0-3.fc24.noarch.rpm
          zipios-2.1.0-3.fc24.src.rpm
zipios.x86_64: W: spelling-error %description -l en_US util -> til, until, u til
zipios.x86_64: W: spelling-error %description -l en_US iostreams -> mainstreams, streams
zipios.x86_64: W: no-manual-page-for-binary zipios
zipios.x86_64: W: no-manual-page-for-binary appendzip
zipios.x86_64: W: no-manual-page-for-binary dostime
zipios-devel.x86_64: W: only-non-binary-in-usr-lib
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/filepath.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipfile.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipios-config.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipiosexceptions.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/virtualseeker.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/filecollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/collectioncollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/directoryentry.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/directorycollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/fileentry.hpp
zipios.src: W: spelling-error %description -l en_US util -> til, until, u til
zipios.src: W: spelling-error %description -l en_US iostreams -> mainstreams, streams
4 packages and 0 specfiles checked; 10 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: zipios-debuginfo-2.1.0-3.fc24.x86_64.rpm
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipios_common.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filecollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/directorycollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/fileentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/deflateoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/appendzip.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/dostime.c
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipendofcentraldirectory.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipfile.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/directorycollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/filecollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/ziplocalentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/zipiosexceptions.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipios_common.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipcentraldirectoryentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/backbuffer.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/directoryentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/zipfile.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filteroutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/virtualseeker.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/build/zipios/zipios-config.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filterinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filepath.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipendofcentraldirectory.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/filepath.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filteroutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filterinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/dostime.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/backbuffer.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/fileentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/collectioncollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/zipios.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/deflateoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/collectioncollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/ziplocalentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/directoryentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/inflateinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/inflateinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipcentraldirectoryentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/virtualseeker.cpp
1 packages and 0 specfiles checked; 52 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
zipios.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libzipios.so.2.1 /lib64/libm.so.6
zipios.x86_64: W: no-manual-page-for-binary appendzip
zipios.x86_64: W: no-manual-page-for-binary zipios
zipios.x86_64: W: no-manual-page-for-binary dostime
zipios-devel.x86_64: W: only-non-binary-in-usr-lib
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/directorycollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipiosexceptions.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/filecollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/virtualseeker.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/directoryentry.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipfile.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/filepath.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/fileentry.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/collectioncollection.hpp
zipios-devel.x86_64: E: incorrect-fsf-address /usr/include/zipios/zipios-config.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/dostime.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/ziplocalentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filteroutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filecollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/filepath.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/deflateoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipendofcentraldirectory.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/appendzip.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/collectioncollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/directoryentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filterinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/build/zipios/zipios-config.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/virtualseeker.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipcentraldirectoryentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/directorycollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/fileentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/zipfile.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filepath.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/backbuffer.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/tools/zipios.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/directorycollection.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/virtualseeker.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstream.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/filecollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/zipiosexceptions.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/inflateinputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/backbuffer.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/ziplocalentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filterinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipendofcentraldirectory.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipinputstream.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/deflateoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/inflateinputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipios_common.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipios_common.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/dostime.c
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/directoryentry.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/filteroutputstreambuf.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/fileentry.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/gzipoutputstreambuf.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/zipios/collectioncollection.hpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipfile.cpp
zipios-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/zipios-2.1.0/src/zipcentraldirectoryentry.hpp
4 packages and 0 specfiles checked; 62 errors, 5 warnings.



Requires
--------
zipios (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    libzipios.so.2()(64bit)
    rtld(GNU_HASH)

zipios-devel (rpmlib, GLIBC filtered):
    cmake
    libstdc++-devel
    libzipios.so.2()(64bit)
    zipios(x86-64)
    zlib-devel

zipios-doc (rpmlib, GLIBC filtered):
    zipios



Provides
--------
zipios:
    libzipios.so.2()(64bit)
    zipios
    zipios(x86-64)

zipios-devel:
    zipios-devel
    zipios-devel(x86-64)

zipios-doc:
    zipios-doc



Source checksums
----------------
http://downloads.sourceforge.net/zipios/zipios-2.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : b14250e4fe4e4f5d4206ea2859d48aec9e6bb1612fc21023fb4d79fc44e5e5ae
  CHECKSUM(SHA256) upstream package : b14250e4fe4e4f5d4206ea2859d48aec9e6bb1612fc21023fb4d79fc44e5e5ae
https://raw.githubusercontent.com/philsquared/Catch/master/single_include/catch.hpp :
  CHECKSUM(SHA256) this package     : 0a8e3f6f2aa325cddb242bc797b8033be5e5ed75d2e1f6ed75fbc4efd87c6faa
  CHECKSUM(SHA256) upstream package : 0a8e3f6f2aa325cddb242bc797b8033be5e5ed75d2e1f6ed75fbc4efd87c6faa


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1221781
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 24 Raphael Groner 2015-09-16 20:01:05 UTC
%files
%if 0%{?rhel} < 7 || 0%{?fedora} < 21
%{_datadir}/licenses/COPYING
%else
%{_pkgdocdir}/COPYING
%endif

The above is wrong. You confused the logic. Please use:

%files
%if 0%{?rhel} >= 7 || 0%{?fedora} >= 22
%license COPYING
%endif
%{_pkgdocdir}/COPYING

It wouldn't harm to always place COPYING into %{_pkgdocdir}, too.

Comment 25 Raphael Groner 2015-09-16 20:02:57 UTC
%files
%if 0%{?rhel} >= 7 || 0%{?fedora}
%license COPYING
%endif
%{_pkgdocdir}/COPYING

As F20 is EOL you do not need any version check for Fedora. I am confused now, too.

Comment 26 Richard Shaw 2015-09-16 20:21:59 UTC
SPEC: https://hobbes1069.fedorapeople.org/zipios.spec
SRPM: https://hobbes1069.fedorapeople.org/zipios-2.1.0-4.fc21.src.rpm

Since both updates were done on the same day I just bumped the release and appended to the changelog.

* Wed Sep 16 2015 Richard Shaw <hobbes1069@gmail.com> - 2.1.0-4
- Add cmake as requirement to devel subpackage.
- Fix references to documentation for directory ownership.
- Fix documentation install to be compliant with the packaging guidelines.
- Make doc subpackage only require the main package.
- Add help2man to build requirements to generate man pages.
- Update %%{_pkgdocdir} in %%files to fix directory ownership.

Comment 27 Richard Shaw 2015-09-16 20:24:19 UTC
(In reply to Raphael Groner from comment #24)
> %files
> %if 0%{?rhel} < 7 || 0%{?fedora} < 21
> %{_datadir}/licenses/COPYING
> %else
> %{_pkgdocdir}/COPYING
> %endif
> 
> The above is wrong. You confused the logic. Please use:
> 
> %files
> %if 0%{?rhel} >= 7 || 0%{?fedora} >= 22
> %license COPYING
> %endif
> %{_pkgdocdir}/COPYING
> 
> It wouldn't harm to always place COPYING into %{_pkgdocdir}, too.

I caught that as well, I don't need the separate COPYING line at all since it will be globed by the reference to %{_pkgdocdir}.


(In reply to Raphael Groner from comment #25)
> As F20 is EOL you do not need any version check for Fedora. I am confused
> now, too.

I like to have it in there just in case someone has an older release and is willing to build the package themselves.

Comment 28 Raphael Groner 2015-09-17 04:31:00 UTC
You must use %license COPYING, at least for Fedora builds that support that macro, and that begins with F21+, EPEL7 does also know this macro.
If the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %license. 
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

%install
…
# Make doc install compliant with the guidelines:
# https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation
mkdir -p %{buildroot}%{_pkgdocdir}
%if 0%{?rhel} >= 7 || 0%{?fedora} >= 21
%license COPYING
install -pm 0644 COPYING AUTHORS NEWS README.md TODO -t %{buildroot}%{_pkgdocdir}/

%files
%if 0%{?rhel} >= 7 || 0%{?fedora}
%license COPYING
%endif
%{_pkgdocdir}/
%exclude %{_pkgdocdir}/html/

Comment 29 Raphael Groner 2015-09-17 04:32:39 UTC
%install
…
# Make doc install compliant with the guidelines:
# https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation
mkdir -p %{buildroot}%{_pkgdocdir}
install -pm 0644 COPYING AUTHORS NEWS README.md TODO -t %{buildroot}%{_pkgdocdir}/

%files
%if 0%{?rhel} >= 7 || 0%{?fedora}
%license COPYING
%endif
%{_pkgdocdir}/
%exclude %{_pkgdocdir}/html/

Comment 30 Richard Shaw 2015-10-07 18:10:51 UTC
Sorry, fixed the %license issue but haven't had a chance to post new sources, %DAYJOB and $HOME have been very busy.

Comment 31 Richard Shaw 2015-10-08 02:08:40 UTC
SPEC: https://hobbes1069.fedorapeople.org/zipios.spec
SRPM: https://hobbes1069.fedorapeople.org/zipios-2.1.0-4.fc21.src.rpm

Ok, hope you don't mind I didn't bump the release for that little fix, now %license is used.

Comment 32 Raphael Groner 2015-10-08 08:33:31 UTC
You use %license now, but it's still wrong cause of the invalid build conditional.

> %files
> %if 0%{?rhel} < 7 || 0%{?fedora} < 21
> %license COPYING
> %endif
> %{_pkgdocdir}/
> %exclude %{_pkgdocdir}/html/

It has to be like I posted in comment #29, the macro is not available before Fedora 21 and all those prior distributions are EOL anyways and EOL stuff does not count in a review. Please test your stuff before requesting any new review. Can you see the difference between the above and below?

%files
%if 0%{?rhel} >= 7 || 0%{?fedora}
%license COPYING
%endif
%{_pkgdocdir}/
%exclude %{_pkgdocdir}/html/

I fail to explain it even better and do not want to use rude words. Unfortunately, I must reject this review now, also because I'm running out of time with this process. In the hope you can understand my reasons. :-(

Comment 33 Raphael Groner 2015-10-08 08:34:40 UTC
Closed as WONTFIX as it says in the guidelines:

 FAIL, OTHER - If the package is just way off or unsuitable for some other reason, and there is no simple fix, then close the bug WONTFIX and leave an appropriate comment (i.e. we don't package pornography for redistribution, sorry. Or, this isn't a specfile, it's a McDonald's menu, sorry.) Set the fedora-review flag to -. 

https://fedoraproject.org/wiki/Package_Review_Process#Reviewer

Comment 34 Richard Shaw 2015-10-08 14:10:18 UTC
Sorry if you've gotten frustrated but I don't think that closing the bug is appropriate since the fix was quite simple. I understand if you no longer want to be the reviewer for this request but please just remove yourself as the assignee and CC list so you will no longer get emails.

Comment 35 Raphael Groner 2015-10-17 16:17:04 UTC
FYI: catch is now an official package, so you can add it as BuildRequires to fully support %check.

Comment 36 Richard Shaw 2015-10-20 02:40:12 UTC
SPEC: https://hobbes1069.fedorapeople.org/zipios.spec
SRPM: https://hobbes1069.fedorapeople.org/zipios-2.1.0-5.fc21.src.rpm

* Mon Oct 19 2015 Richard Shaw <hobbes1069@gmail.com> - 2.1.0-5
- Use system catch now that it's available.

Thanks for the heads up!

Comment 37 Antonio 2016-03-13 10:28:00 UTC
Hi Richard,

update to latest release; I'm going to review your package.

Comment 38 Richard Shaw 2016-03-13 15:59:45 UTC
For some reason the unit testing if failing on rawhide so I reported the problem upstream.

https://sourceforge.net/p/zipios/bugs/9/

Comment 39 Raphael Groner 2016-03-29 14:44:24 UTC
Ping? Any news here?

Comment 40 Raphael Groner 2016-03-29 14:45:53 UTC
(In reply to Richard Shaw from comment #38)
> For some reason the unit testing if failing on rawhide so I reported the
> problem upstream.
> 
> https://sourceforge.net/p/zipios/bugs/9/

You could disable (or completely remove) those failing tests, or disable %check from execution. If the package keeps at least its basic functionality and is of any usefulness in Fedora.

Comment 41 Richard Shaw 2016-04-04 12:29:08 UTC
I hopefully get back to this shortly, I had a problem with FreeCAD crop up on F24 that I need to address first.

Comment 42 Richard Shaw 2016-04-04 19:26:43 UTC
I've reuploaded with %check disabled. I didn't bump the release for this change so the current links are good.

Comment 43 Antonio 2016-04-05 15:50:16 UTC
(In reply to Richard Shaw from comment #42)
> I've reuploaded with %check disabled. I didn't bump the release for this
> change so the current links are good.

Failed on rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13566247

Comment 44 Richard Shaw 2016-04-06 19:36:11 UTC
I'm not sure why but my build completed:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13577181

Comment 45 Antonio 2016-04-07 17:06:09 UTC
# Catch based testing is broken on gcc 6
# https://sourceforge.net/p/zipios/bugs/9/
#pushd build/tests
#./zipios_tests -s

Please, remove commented command line.

Comment 46 Richard Shaw 2016-04-07 18:04:24 UTC
SPEC: https://hobbes1069.fedorapeople.org/zipios.spec
SRPM: https://hobbes1069.fedorapeople.org/zipios-2.1.1-1.fc22.src.rpm

* Thu Apr  7 2016 Richard Shaw <hobbes1069@gmail.com> - 2.1.1-1
- Update to latest upstream release.
- Disable unit testing until catch works with gcc 6.

Comment 47 Antonio 2016-04-07 21:04:56 UTC
Please, include NEWS README.md TODO AUTHORS files.
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "*No copyright* GPL (v2 or later)",
     "LGPL (v2 or later)", "Unknown or generated", "*No copyright* LGPL
     (v2.1 or later)". 20 files have unknown license. Detailed output of
     licensecheck in
     /home/sagitter/FedoraReview/1221781-zipios/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in zipios-
     doc , zipios-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: zipios-2.1.1-1.fc25.x86_64.rpm
          zipios-devel-2.1.1-1.fc25.x86_64.rpm
          zipios-doc-2.1.1-1.fc25.noarch.rpm
          zipios-debuginfo-2.1.1-1.fc25.x86_64.rpm
          zipios-2.1.1-1.fc25.src.rpm
zipios.x86_64: W: spelling-error %description -l en_US util -> til, until, u til
zipios.x86_64: W: spelling-error %description -l en_US iostreams -> mainstreams, streams
zipios-devel.x86_64: W: only-non-binary-in-usr-lib
zipios.src: W: spelling-error %description -l en_US util -> til, until, u til
zipios.src: W: spelling-error %description -l en_US iostreams -> mainstreams, streams
5 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: zipios-debuginfo-2.1.1-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
zipios.x86_64: W: spelling-error %description -l en_US util -> til, until, u til
zipios.x86_64: W: spelling-error %description -l en_US iostreams -> mainstreams, streams
zipios.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libzipios.so.2.1 /lib64/libm.so.6
zipios-devel.x86_64: W: only-non-binary-in-usr-lib
4 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
zipios (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    libzipios.so.2()(64bit)
    rtld(GNU_HASH)

zipios-devel (rpmlib, GLIBC filtered):
    cmake
    libstdc++-devel
    libzipios.so.2()(64bit)
    zipios(x86-64)
    zlib-devel

zipios-debuginfo (rpmlib, GLIBC filtered):

zipios-doc (rpmlib, GLIBC filtered):
    zipios



Provides
--------
zipios:
    libzipios.so.2()(64bit)
    zipios
    zipios(x86-64)

zipios-devel:
    zipios-devel
    zipios-devel(x86-64)

zipios-debuginfo:
    zipios-debuginfo
    zipios-debuginfo(x86-64)

zipios-doc:
    zipios-doc



Source checksums
----------------
http://downloads.sourceforge.net/zipios/zipios-2.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 5b95e19c92f1c4a9fd3a689997eae7e3f83475500de15834d02f70dcac2aedc2
  CHECKSUM(SHA256) upstream package : 5b95e19c92f1c4a9fd3a689997eae7e3f83475500de15834d02f70dcac2aedc2


Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 1221781
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 48 Richard Shaw 2016-04-07 21:17:42 UTC
(In reply to Antonio Trande from comment #47)
> Please, include NEWS README.md TODO AUTHORS files.

Done.

Thanks for the review!

Comment 49 Gwyn Ciesla 2016-04-08 10:17:53 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/zipios

Comment 50 Fedora Update System 2016-04-11 22:22:41 UTC
zipios-2.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3b2140233d

Comment 51 Fedora Update System 2016-04-11 22:22:48 UTC
zipios-2.1.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0f49e29071

Comment 52 Fedora Update System 2016-04-12 10:52:18 UTC
zipios-2.1.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0f49e29071

Comment 53 Fedora Update System 2016-04-13 09:27:06 UTC
zipios-2.1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3b2140233d

Comment 54 Fedora Update System 2016-04-15 21:33:02 UTC
zipios-2.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 55 Fedora Update System 2016-04-20 19:21:22 UTC
zipios-2.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.